{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}
    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>
    function cargar_datos(dias_habiles, dias_vacacion, dias_lactancia, horasasignadas, horashabiles, horasejecutadas, horasporcejecutadas, horasporcasignadas, dias_laborales, dias_capacitacion, dias_administrativas, dias_no_prog)
    {
        document.formpropiedades.dias_habiles.value=dias_habiles;
        document.formpropiedades.horas_habiles.value=dias_habiles*8;
        document.formpropiedades.dias_vacacion.value=dias_vacacion;
        document.formpropiedades.horas_vacacion.value=dias_vacacion*8;
        document.formpropiedades.dias_lactancia.value=dias_lactancia;
        document.formpropiedades.horas_lactancia.value=dias_lactancia*8;
        document.formpropiedades.dias_laborales.value=dias_laborales;
        document.formpropiedades.horas_laborales.value=dias_laborales*8;
        document.formpropiedades.dias_capacitacion.value=dias_capacitacion;
        document.formpropiedades.horas_capacitacion.value=dias_capacitacion*8;
        document.formpropiedades.dias_administrativas.value=dias_administrativas;
        document.formpropiedades.horas_administrativas.value=dias_administrativas*8;
        document.formpropiedades.dias_no_prog.value=dias_no_prog;
        document.formpropiedades.horas_no_prog.value=dias_no_prog*8;
        document.formpropiedades.dias_prog.value=dias_laborales-dias_no_prog-dias_administrativas;
        document.formpropiedades.horas_prog.value=(dias_laborales-dias_no_prog-dias_administrativas)*8;
        diasejecutados = horasejecutadas/8;
        diasasignados=horasasignadas/8;
        if (horasporcasignadas>60){
            color='red'; 
        }
        else{
            color='warning'; 
        }      
        if (horasporcejecutadas>60){
            color2='red'; 
        }
        else{
            color2='warning'; 
        }   
        var html="";
            html+='<div class="w_left w_25">';
            html+='     <span> '+diasasignados+' Dias ('+horasasignadas+' Horas)</span>';
            html+='</div>';
            html+='<div class="w_center w_55">';
            html+='     <div class="progress">';
            html+='          <div class="progress-bar bg-'+color+' role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: '+horasporcasignadas+'%;">';
            html+='               <span class="sr-only"> dias</span>';
            html+='          </div>';
            html+='     </div>';
            html+='</div>';
            html+='<div class="w_right w_10">';
            html+='     <span>'+horasporcasignadas+'%</span>';
            html+='</div>';
            html+='<div class="clearfix"></div>';
            $('#cuerpo_programado').html('');
            $('#cuerpo_programado').append(html); 
            if (horasporcasignadas>60){
            color='red'; 
            }
            else{
                color='warning'; 
            }        
        var html="";
            html+='<div class="w_left w_25">';
            html+='     <span> '+diasejecutados+' dias ('+horasejecutadas+' Horas)</span>';
            html+='</div>';
            html+='<div class="w_center w_55">';
            html+='     <div class="progress">';
            html+='          <div class="progress-bar bg-'+color2+' role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: '+horasporcejecutadas+'%;">';
            html+='               <span class="sr-only"> dias</span>';
            html+='          </div>';
            html+='     </div>';
            html+='</div>';
            html+='<div class="w_right w_10">';
            html+='     <span>'+horasporcejecutadas+'%</span>';
            html+='</div>';
            html+='<div class="clearfix"></div>';
            $('#cuerpo_ejecutado').html('');
            $('#cuerpo_ejecutado').append(html); 
                    
    }
</script>
<div class="x_panel">
    <div class="x_title">
      <h2>LISTA DE AUDITORES <small>GESTION 2021 <a href="#" class="btn btn-primary btn-xs" onclick="document.formactividad.nombre_etapa.value='PLANIFICACION'; document.formactividad.id_etapa.value='1';" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-plus"></i></a></small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <table  id="datatable-responsive"
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
            <thead>
                <th>ID</th>
                <th>NOMBRES</th>
                <th>USUARIO</th>
                <th>TIPO DE AUDITOR</th>
                <th>TRAB. ASIGNADOS</th>
                <th>DIAS ASIGNADAS</th>
                <th>TOTAL HORAS ASIGNADAS</th>
                <th></th>
            </thead>
            <tbody>
                {% for auditor in object_list %}
                <tr>
                    <td>{{ auditor.id }}</td>
                    <td>{{ auditor.nombre }} {{ auditor.a_paterno }} {{ auditor.a_materno }}</td>
                    <td>{% if auditor.usuario %} <button type="button" class="btn btn-round btn-info"><a href="#/times"><i class="fa fa-user"></i></a></button> {% else %} <button type="button" class="btn btn-round btn-danger"><i class="fa fa-times"></i></button> {% endif %}</td>
                    <td>{{ auditor.tipoauditor }}</th>            
                    <td><span class="label label-primary">{{ auditor.trabajosasignados }} Trabajo(s)</span></th>            
                    <td><span class="label label-warning">{{ auditor.diasasignadas }} dias</span></th>            
                    <td><a data-toggle="modal" data-target=".bs-example-modal-lg" href='#' class="btn btn-success btn-xs" onclick="cargar_datos('{{ auditor.dias_habiles}}', '{{ auditor.dias_vacacion}}', '{{ auditor.dias_lactancia }}', '{{ auditor.horasasignadas}}', '{{ auditor.horashabiles}}', '{{ auditor.horasejecutadas|floatformat:0 }}', '{{ auditor.horasporcejecutadas|floatformat:0 }}', '{{ auditor.horasporcasignadas|floatformat:0 }}', '{{ auditor.dias_laborales|floatformat:0 }}', '{{ auditor.dias_capacitacion|floatformat:0 }}', '{{ auditor.dias_administrativos|floatformat:0 }}', '{{ auditor.dias_no_prog|floatformat:0 }}' );"><i class="fa fa-edit"></i> PROPIEDADES</a>
                    </td>            
                    <td><a href='{% url "modificar_auditor" auditor.id %}' class="btn btn-success btn-xs"><i class="fa fa-edit" title="Modificar datos del auditor"></i></a><a title="Eliminar auditor" href='{% url "eliminar_auditor" auditor.id %}' class="btn btn-danger btn-xs"><i class="fa fa-trash"></i></a><a title="Asignar usuario a auditor" href='{% url "usuario_auditor" auditor.id %}' class="btn btn-info btn-xs"><i class="fa fa-user"></i></a></td>
                </tr>
                {% endfor %}
               
            </tbody>    
        </table>
        
        <a href="{{ create_url }}" class="btn btn-primary btnTest"><i
            class="fa fa-plus"></i> Nuevo registro</a>
        <a href="{{ list_url }}" class="btn btn-success btnTest"><i
            class="fa fa-refresh"></i> Actualizar</a>
        <a href='{% url "tiempo_auditor" %}' class="btn btn-warning  btnTest"><i class="fa fa-calendar"></i>Tiempo Efectivo</a>
    </div>
  </div>

  <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">PROGRAMA ANUAL OPERATIVO - Gestion 2021</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <form name="formpropiedades" id="formpropiedades">
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                     <label class="control-label">DIAS HABILES:</label>
                     <input type="text" id="dias_habiles" name="dias_habiles" value="" class="form-control" readonly="readonly">
                     <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS HABILES:</label>
                    <input type="text" id="horas_habiles" name="horas_habiles" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                </div> 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                      <label class="control-label">DIAS VACACION:</label>
                      <input type="text" id="dias_vacacion" name="dias_vacacion" value="" class="form-control" readonly="readonly">
                      <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS VACACION:</label>
                    <input type="text" id="horas_vacacion" name="horas_vacacion" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                      <label class="control-label">DIAS LACTANCIA:</label>
                      <input type="text" id="dias_lactancia" name="dias_lactancia" value="" class="form-control" readonly="readonly">
                      <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS LACTANCIA:</label>
                    <input type="text" id="horas_lactancia" name="horas_lactancia" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                </div>  
                <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">DIAS CAPACITACION:</label>
                    <input type="text" id="dias_capacitacion" name="dias_capacitacion" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS CAPACITACION:</label>
                    <input type="text" id="horas_capacitacion" name="horas_capacitacion" value="" class="form-control" readonly="readonly">
                   <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">DIAS LABORALES:</label>
                    <input type="text" id="dias_laborales" name="dias_laborales" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS LABORALES:</label>
                    <input type="text" id="horas_laborales" name="horas_laborales" value="" class="form-control" readonly="readonly">
                   <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">DIAS LABORES ADMIN:</label>
                    <input type="text" id="dias_administrativas" name="dias_administrativas" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS LAB. ADMIN.:</label>
                    <input type="text" id="horas_administrativas" name="horas_administrativas" value="" class="form-control" readonly="readonly">
                   <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div> 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">DIAS ACT. NO PROGRAMADAS:</label>
                    <input type="text" id="dias_no_prog" name="dias_no_prog" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS ACT. NO PROGRAMADAS:</label>
                    <input type="text" id="horas_no_prog" name="horas_no_prog" value="" class="form-control" readonly="readonly">
                   <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div> 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">DIAS ACT. PROGRAMADAS:</label>
                    <input type="text" id="dias_prog" name="dias_prog" value="" class="form-control" readonly="readonly">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 
                 <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                    <label class="control-label">HORAS ACT. PROGRAMADAS:</label>
                    <input type="text" id="horas_prog" name="horas_prog" value="" class="form-control" readonly="readonly">
                   <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div> 
                 <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                    <label class="control-label">TRABAJOS ASIGNADOS:</label>
                    <div class="widget_summary" id="cuerpo_programado">
                       
                    </div>               
                 </div> 
                 <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                      <label class="control-label">TRABAJO EJECUTADO:</label>
                      <div class="widget_summary"  id="cuerpo_ejecutado">
                           <div class="w_left w_25">
                                <span> horas</span>
                           </div>
                           <div class="w_center w_55">
                                <div class="progress">
                                     <div class="progress-bar bg-{% if auditor.horasporcasignadas > 60 %}red{% else %}{% if auditor.horasporcasignadas > 40 %}warning{% else %}green{% endif %}{% endif %}" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: {{ auditor.horasporcasignadas|floatformat:0 }}%;">
                                          <span class="sr-only"> dias</span>
                                     </div>
                                </div>
                           </div>
                           <div class="w_right w_10">
                                <span>%</span>
                           </div>
                           <div class="clearfix"></div>
                      </div>               
                 </div> 
            </form>             
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>  
       
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "responsive" : true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}

